/***********************************************************************
 * Program: BasicBean2.java
 * Purpose: When called by BasicBean1, displays its frame.  Has a button
 * that causes BasicBean2 to close itself and notify BasicBean1.
 ***********************************************************************/

import java.awt.*;
import java.awt.event.*;

public class BasicBean2 extends Frame implements ActionListener {
  
  Panel p1;
  Button b1;
  String name;
  BasicBean1 listener;

  public BasicBean2(BasicBean1 parent) {
    listener=parent;
    init();
  }

  public BasicBean2() {
    listener=null;
    init();
  }
  
  public void init() {
    p1=new Panel();
    b1=new Button("Bite Me");
    b1.addActionListener(this);
    p1.add(b1);
    add(p1);
  }
  
  public void actionPerformed(ActionEvent e) {
    Object source=e.getSource();
    if((source==b1)&&(listener!=null)) {
      listener.notify(this);
    }
    else {
      setDone();
    }
  }

  //Some get() methods.
  public String getName() {
    return this.name;
  }

  //Some set() methods.
  public void setTitle(String title) {
    super.setTitle(title);
  }
  
  public void setDone() {
    this.dispose();
  }
  
  public void setName(String name) {
    this.name=name;
  }

  public static void main(String[] args) {
    BasicBean2 bb2=new BasicBean2();
    bb2.addWindowListener(new WindowAdapter() {
      public void windowClosing(WindowEvent e) {System.exit(0);}
    });
    bb2.setSize(400,400);
    bb2.show();
  }
}


  
